#include <debug/logging.h>

#ifndef LOG_LEVEL
#define LOG_LEVEL 0
#endif

#ifndef LOG_CLASS
#define LOG_CLASS 0
#endif

#if LOG_LEVEL >= LOG_ERROR
#define ERROR(text, ...) \
	log_write(LOG_CLASS, LOG_ERROR, text, ## __VA_ARGS__)
#define ERROR_STR(text, ...) \
	log_write(LOG_CLASS, LOG_ERROR, text, ## __VA_ARGS__)
#else
#define ERROR(text, ...)
#define ERROR_STR(text, ...)
#endif

#if LOG_LEVEL >= LOG_WARNING
#define WARNING(text, ...) \
	log_write(LOG_CLASS, LOG_WARNING, text, ## __VA_ARGS__)
#define WARNING_STR(text, ...) \
	log_write(LOG_CLASS, LOG_WARNING, text, ## __VA_ARGS__)
#else
#define WARNING(text, ...)
#define WARNING_STR(text, ...)
#endif

#if LOG_LEVEL >= LOG_INFO
#define INFO(text, ...) \
	log_write(LOG_CLASS, LOG_INFO, text, ## __VA_ARGS__)
#define INFO_STR(text, ...) \
	log_write(LOG_CLASS, LOG_INFO, text, ## __VA_ARGS__)
#else
#define INFO(text, ...)
#define INFO_STR(text, ...)
#endif

#if LOG_LEVEL >= LOG_DEBUG
#define DEBUG(text, ...) \
	log_write(LOG_CLASS, LOG_DEBUG, text, ## __VA_ARGS__)
#define DEBUG_STR(text, ...) \
	log_write(LOG_CLASS, LOG_DEBUG, text, ## __VA_ARGS__)
#else
#define DEBUG(text, ...)
#define DEBUG_STR(text, ...)
#endif

//#undef LOG_LEVEL
//#undef LOG_CLASS
